GNU logs - #1785, boring messages


Message sent to bug-submit-list@HIDDEN, handa@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:


X-Loop: don@HIDDEN
Subject: bug#1547: face-font-rescale-alist has no effect
Reply-To: "Juanma Barranquero" <lekktu@HIDDEN>, 1547 <at> debbugs.gnu.org
Resent-From: "Juanma Barranquero" <lekktu@HIDDEN>
Resent-To: bug-submit-list@HIDDEN
Resent-CC: handa@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>
Resent-Date: Fri, 12 Dec 2008 11:00:02 +0000
Resent-Message-ID: <handler.1547.B.122907924129429@HIDDEN>
Resent-Sender: don@HIDDEN
X-Emacs-PR-Message: report 1547
X-Emacs-PR-Package: emacs
X-Emacs-PR-Keywords: 
Received: via spool by submit@HIDDEN id=B.122907924129429
          (code B ref -1); Fri, 12 Dec 2008 11:00:02 +0000
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.0000 Tokens: new, 44; hammy, 64; neutral, 44; spammy, 1.
	spammytokens:0.862-+--UD:com hammytokens:0.000-+--emacs, 0.000-+--23060,
	0.000-+--23.0.60, 0.000-+--H*MI:sk:f7ccd24, 0.000-+--listsgnuorg
X-Spam-Status: No, score=-10.0 required=4.0 tests=AWL,BAYES_00,HAS_PACKAGE,
	RCVD_IN_DNSWL_MED autolearn=ham version=3.2.3-bugs.debian.org_2005_01_02
Received: (at submit) by emacsbugs.donarmstrong.com; 12 Dec 2008 10:54:01 +0000
Received: from lists.gnu.org (lists.gnu.org [199.232.76.165])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id mBCArwh2029423
	for <submit@HIDDEN>; Fri, 12 Dec 2008 02:54:00 -0800
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1LB5eg-00028r-CK
	for bug-gnu-emacs@HIDDEN; Fri, 12 Dec 2008 05:53:58 -0500
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1LB5ef-00028M-DF
	for bug-gnu-emacs@HIDDEN; Fri, 12 Dec 2008 05:53:57 -0500
Received: from [199.232.76.173] (port=45577 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43)
	id 1LB5ef-00028F-7V
	for bug-gnu-emacs@HIDDEN; Fri, 12 Dec 2008 05:53:57 -0500
Received: from yw-out-1718.google.com ([74.125.46.158]:19039)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <lekktu@HIDDEN>)
	id 1LB5ee-00021Q-Sb
	for bug-gnu-emacs@HIDDEN; Fri, 12 Dec 2008 05:53:56 -0500
Received: by yw-out-1718.google.com with SMTP id 9so655399ywk.66
        for <bug-gnu-emacs@HIDDEN>; Fri, 12 Dec 2008 02:53:56 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:received:received:message-id:date:from:to
         :subject:mime-version:content-type:content-transfer-encoding
         :content-disposition;
        bh=D8FV+puXD8GC9fLhO/TRfNCct9meRV1hqty6SmzXBUg=;
        b=u1q9WLwmFu+lHXM/we9bYSEKx0hcmlTbAWzZTExWG6gTrhPt1KiOgLJ6dQPtoVozhU
         IFmRb3YuY9z10Xc0B/+z/k48KH/G+WY5zlYvQbaSkC9ivp/sUHWzIg+UrQpvb94Wgy28
         rt4wqnSNvYLvg4CJxIPSKoZmrOic0MCX9ZTxU=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=message-id:date:from:to:subject:mime-version:content-type
         :content-transfer-encoding:content-disposition;
        b=s2jrJC3zfo+Gi+X4ZwjejjlI4icSjhWZgVnrCK7hVblRwKUA1ZHkyvg8MWQhPZ9wDZ
         y3MWtpqtUih47qgOfcmEMvK1hUAr9AroN4X1cwLosQqAIdYn5NntAJwpLL9PX0BGOmcv
         LfwngMYWPeoxm8hLGeu2/kIAdSsyNlObRRrgI=
Received: by 10.101.1.16 with SMTP id d16mr2764485ani.66.1229079236432;
        Fri, 12 Dec 2008 02:53:56 -0800 (PST)
Received: by 10.100.13.13 with HTTP; Fri, 12 Dec 2008 02:53:56 -0800 (PST)
Message-ID: <f7ccd24b0812120253m5f1b4f9en3a23f0ccc26b6b2d@HIDDEN>
Date: Fri, 12 Dec 2008 11:53:56 +0100
From: "Juanma Barranquero" <lekktu@HIDDEN>
To: Bug-Gnu-Emacs <bug-gnu-emacs@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline
X-detected-operating-system: by monty-python.gnu.org: GNU/Linux 2.6 (newer, 2)

Package: emacs
Version: 23.0.60
X-Debbugs-CC: handa@HIDDEN

[Just a reminder, so the issue is not lost]

Font rescaling is unimplemented in the new font backend.

It was already discussed on the list:

http://lists.gnu.org/archive/html/emacs-devel/2008-06/msg01155.html





Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.420 (Entity 5.420)
Content-Type: text/plain; charset=utf-8
X-Loop: don@HIDDEN
From: help-debbugs@HIDDEN (Emacs bug Tracking System)
To: "Juanma Barranquero" <lekktu@HIDDEN>
Subject: bug#1547: Acknowledgement (face-font-rescale-alist has no effect)
Message-ID: <handler.1547.B.122907924129429.ack@HIDDEN>
References: <f7ccd24b0812120253m5f1b4f9en3a23f0ccc26b6b2d@HIDDEN>
X-Emacs-PR-Message: ack 1547
X-Emacs-PR-Package: emacs
Reply-To: 1547 <at> debbugs.gnu.org


Thank you for filing a new bug report with Emacs.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

As you requested using X-Debbugs-CC, your message was also forwarded to
  handa@HIDDEN
(after having been given a bug report number, if it did not have one).

Your message has been sent to the package maintainer(s):
 Emacs Bugs <bug-gnu-emacs@HIDDEN>

If you wish to submit further information on this problem, please
send it to 1547 <at> debbugs.gnu.org, as before.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.


--=20
1547: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D1547
Emacs Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:


X-Loop: don@HIDDEN
Subject: bug#1547: face-font-rescale-alist has no effect
Reply-To: Kenichi Handa <handa@HIDDEN>, 1547 <at> debbugs.gnu.org
Resent-From: Kenichi Handa <handa@HIDDEN>
Resent-To: bug-submit-list@HIDDEN
Resent-CC: Emacs Bugs <bug-gnu-emacs@HIDDEN>
Resent-Date: Sat, 13 Dec 2008 03:40:03 +0000
Resent-Message-ID: <handler.1547.B.122913904818674@HIDDEN>
Resent-Sender: don@HIDDEN
X-Emacs-PR-Message: report 1547
X-Emacs-PR-Package: emacs
X-Emacs-PR-Keywords: 
Received: via spool by submit@HIDDEN id=B.122913904818674
          (code B ref -1); Sat, 13 Dec 2008 03:40:03 +0000
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.0000 Tokens: new, 27; hammy, 99; neutral, 45; spammy, 0.
	spammytokens: hammytokens:0.000-+--H*UA:Emacs, 0.000-+--H*u:Emacs,
	0.000-+--H*UA:23.0.60, 0.000-+--H*u:23.0.60, 0.000-+--HCC:D*com
X-Spam-Status: No, score=-7.2 required=4.0 tests=AWL,BAYES_00,GMAIL,
	HAS_BUG_NUMBER,IMPRONONCABLE_2,RCVD_IN_DNSWL_MED autolearn=ham
	version=3.2.3-bugs.debian.org_2005_01_02
Received: (at submit) by emacsbugs.donarmstrong.com; 13 Dec 2008 03:30:48 +0000
Received: from lists.gnu.org (lists.gnu.org [199.232.76.165])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id mBD3Uj9N018666
	for <submit@HIDDEN>; Fri, 12 Dec 2008 19:30:46 -0800
Received: from mailman by lists.gnu.org with tmda-scanned (Exim 4.43)
	id 1LBLDJ-0001Vr-6i
	for bug-gnu-emacs@HIDDEN; Fri, 12 Dec 2008 22:30:45 -0500
Received: from exim by lists.gnu.org with spam-scanned (Exim 4.43)
	id 1LBLDG-0001Sy-Fy
	for bug-gnu-emacs@HIDDEN; Fri, 12 Dec 2008 22:30:43 -0500
Received: from [199.232.76.173] (port=49597 helo=monty-python.gnu.org)
	by lists.gnu.org with esmtp (Exim 4.43)
	id 1LBLDG-0001Sg-9F
	for bug-gnu-emacs@HIDDEN; Fri, 12 Dec 2008 22:30:42 -0500
Received: from mx1.aist.go.jp ([150.29.246.133]:42107)
	by monty-python.gnu.org with esmtp (Exim 4.60)
	(envelope-from <handa@HIDDEN>)
	id 1LBLDF-00068z-HB
	for bug-gnu-emacs@HIDDEN; Fri, 12 Dec 2008 22:30:42 -0500
Received: from rqsmtp2.aist.go.jp (rqsmtp2.aist.go.jp [150.29.254.123])
	by mx1.aist.go.jp  with ESMTP id mBD3URPu002793;
	Sat, 13 Dec 2008 12:30:27 +0900 (JST)
	env-from (handa@HIDDEN)
Received: from smtp4.aist.go.jp
	by rqsmtp2.aist.go.jp  with ESMTP id mBD3UQ94026538;
	Sat, 13 Dec 2008 12:30:26 +0900 (JST)
	env-from (handa@HIDDEN)
Received: 
	by smtp4.aist.go.jp  with ESMTP id mBD3UQ07004635;
	Sat, 13 Dec 2008 12:30:26 +0900 (JST)
	env-from (handa@HIDDEN)
Received: from handa by etlken.m17n.org with local (Exim 4.69)
	(envelope-from <handa@HIDDEN>)
	id 1LBLD0-0007cD-1f; Sat, 13 Dec 2008 12:30:26 +0900
From: Kenichi Handa <handa@HIDDEN>
To: "Juanma Barranquero" <lekktu@HIDDEN>, 1547 <at> debbugs.gnu.org
CC: bug-gnu-emacs@HIDDEN, bug-submit-list@HIDDEN,
        bug-gnu-emacs@HIDDEN
In-reply-to: <f7ccd24b0812120253m5f1b4f9en3a23f0ccc26b6b2d@HIDDEN>
	(lekktu@HIDDEN)
References: <f7ccd24b0812120253m5f1b4f9en3a23f0ccc26b6b2d@HIDDEN>
User-Agent: SEMI/1.14.3 (Ushinoya) FLIM/1.14.2 (Yagi-Nishiguchi) APEL/10.2 Emacs/23.0.60 (i686-pc-linux-gnu) MULE/6.0 (HANACHIRUSATO)
MIME-Version: 1.0 (generated by SEMI 1.14.3 - "Ushinoya")
Content-Type: text/plain; charset=US-ASCII
Message-Id: <E1LBLD0-0007cD-1f@HIDDEN>
Date: Sat, 13 Dec 2008 12:30:26 +0900
X-detected-operating-system: by monty-python.gnu.org: Solaris 9
X-CrossAssassin-Score: 2

In article <f7ccd24b0812120253m5f1b4f9en3a23f0ccc26b6b2d@HIDDEN>, "Juanma Barranquero" <lekktu@HIDDEN> writes:

> [Just a reminder, so the issue is not lost]

> Font rescaling is unimplemented in the new font backend.

Thank you for the reminder.  I've just installed a fix.

---
Kenichi Handa
handa@HIDDEN





Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.420 (Entity 5.420)
Content-Type: text/plain; charset=utf-8
X-Loop: don@HIDDEN
From: help-debbugs@HIDDEN (Emacs bug Tracking System)
To: Kenichi Handa <handa@HIDDEN>
Subject: bug#1547: Info received (bug#1547: face-font-rescale-alist has no
 effect)
Message-ID: <handler.1547.B.122913904818674.ackinfo@HIDDEN>
References: <E1LBLD0-0007cD-1f@HIDDEN>
X-Emacs-PR-Message: ack-info 1547
X-Emacs-PR-Package: emacs
Reply-To: 1547 <at> debbugs.gnu.org


Thank you for the additional information you have supplied regarding
this bug report.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 Emacs Bugs <bug-gnu-emacs@HIDDEN>

If you wish to submit further information on this problem, please
send it to 1547 <at> debbugs.gnu.org, as before.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.


--=20
1547: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D1547
Emacs Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:


X-Loop: don@HIDDEN
Subject: bug#1547: face-font-rescale-alist has no effect
Reply-To: Kenichi Handa <handa@HIDDEN>, 1547 <at> debbugs.gnu.org
Resent-From: Kenichi Handa <handa@HIDDEN>
Resent-To: bug-submit-list@HIDDEN
Resent-CC: Emacs Bugs <bug-gnu-emacs@HIDDEN>
Resent-Date: Sat, 13 Dec 2008 03:40:05 +0000
Resent-Message-ID: <handler.1547.B1547.122913903518646@HIDDEN>
Resent-Sender: don@HIDDEN
X-Emacs-PR-Message: report 1547
X-Emacs-PR-Package: emacs
X-Emacs-PR-Keywords: 
Received: via spool by 1547-submit@HIDDEN id=B1547.122913903518646
          (code B ref 1547); Sat, 13 Dec 2008 03:40:05 +0000
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.0000 Tokens: new, 21; hammy, 98; neutral, 36; spammy, 0.
	spammytokens: hammytokens:0.000-+--H*UA:Emacs, 0.000-+--H*u:Emacs,
	0.000-+--H*UA:23.0.60, 0.000-+--H*u:23.0.60, 0.000-+--HCC:D*com
X-Spam-Status: No, score=-5.2 required=4.0 tests=AWL,BAYES_00,GMAIL,
	HAS_BUG_NUMBER,IMPRONONCABLE_2,SPF_HELO_PASS autolearn=ham
	version=3.2.3-bugs.debian.org_2005_01_02
Received: (at 1547) by emacsbugs.donarmstrong.com; 13 Dec 2008 03:30:35 +0000
Received: from mx1.aist.go.jp (mx1.aist.go.jp [150.29.246.133])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id mBD3UVsq018388
	for <1547@HIDDEN>; Fri, 12 Dec 2008 19:30:33 -0800
Received: from rqsmtp2.aist.go.jp (rqsmtp2.aist.go.jp [150.29.254.123])
	by mx1.aist.go.jp  with ESMTP id mBD3URPu002793;
	Sat, 13 Dec 2008 12:30:27 +0900 (JST)
	env-from (handa@HIDDEN)
Received: from smtp4.aist.go.jp
	by rqsmtp2.aist.go.jp  with ESMTP id mBD3UQ94026538;
	Sat, 13 Dec 2008 12:30:26 +0900 (JST)
	env-from (handa@HIDDEN)
Received: 
	by smtp4.aist.go.jp  with ESMTP id mBD3UQ07004635;
	Sat, 13 Dec 2008 12:30:26 +0900 (JST)
	env-from (handa@HIDDEN)
Received: from handa by etlken.m17n.org with local (Exim 4.69)
	(envelope-from <handa@HIDDEN>)
	id 1LBLD0-0007cD-1f; Sat, 13 Dec 2008 12:30:26 +0900
From: Kenichi Handa <handa@HIDDEN>
To: "Juanma Barranquero" <lekktu@HIDDEN>, 1547 <at> debbugs.gnu.org
CC: bug-gnu-emacs@HIDDEN, bug-submit-list@HIDDEN,
        bug-gnu-emacs@HIDDEN
In-reply-to: <f7ccd24b0812120253m5f1b4f9en3a23f0ccc26b6b2d@HIDDEN>
	(lekktu@HIDDEN)
References:  <f7ccd24b0812120253m5f1b4f9en3a23f0ccc26b6b2d@HIDDEN>
User-Agent: SEMI/1.14.3 (Ushinoya) FLIM/1.14.2 (Yagi-Nishiguchi) APEL/10.2 Emacs/23.0.60 (i686-pc-linux-gnu) MULE/6.0 (HANACHIRUSATO)
MIME-Version: 1.0 (generated by SEMI 1.14.3 - "Ushinoya")
Content-Type: text/plain; charset=US-ASCII
Message-Id: <E1LBLD0-0007cD-1f@HIDDEN>
Date: Sat, 13 Dec 2008 12:30:26 +0900

In article <f7ccd24b0812120253m5f1b4f9en3a23f0ccc26b6b2d@HIDDEN>, "Juanma Barranquero" <lekktu@HIDDEN> writes:

> [Just a reminder, so the issue is not lost]

> Font rescaling is unimplemented in the new font backend.

Thank you for the reminder.  I've just installed a fix.

---
Kenichi Handa
handa@HIDDEN




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.420 (Entity 5.420)
Content-Type: text/plain; charset=utf-8
X-Loop: don@HIDDEN
From: help-debbugs@HIDDEN (Emacs bug Tracking System)
To: Kenichi Handa <handa@HIDDEN>
Subject: bug#1547: Info received (bug#1547: face-font-rescale-alist has no
 effect)
Message-ID: <handler.1547.B1547.122913903518646.ackinfo@HIDDEN>
References: <E1LBLD0-0007cD-1f@HIDDEN>
X-Emacs-PR-Message: ack-info 1547
X-Emacs-PR-Package: emacs
Reply-To: 1547 <at> debbugs.gnu.org


Thank you for the additional information you have supplied regarding
this bug report.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 Emacs Bugs <bug-gnu-emacs@HIDDEN>

If you wish to submit further information on this problem, please
send it to 1547 <at> debbugs.gnu.org, as before.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.


--=20
1547: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D1547
Emacs Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:


X-Loop: don@HIDDEN
Subject: bug#1547: face-font-rescale-alist has no effect
Reply-To: Kenichi Handa <handa@HIDDEN>, 1547 <at> debbugs.gnu.org
Resent-From: Kenichi Handa <handa@HIDDEN>
Resent-To: bug-submit-list@HIDDEN
Resent-CC: Emacs Bugs <bug-gnu-emacs@HIDDEN>
Resent-Date: Wed, 17 Dec 2008 06:25:41 +0000
Resent-Message-ID: <handler.1547.B1547.12294271872160@HIDDEN>
Resent-Sender: don@HIDDEN
X-Emacs-PR-Message: followup 1547
X-Emacs-PR-Package: emacs
X-Emacs-PR-Keywords: 
Received: via spool by 1547-submit@HIDDEN id=B1547.12294271872160
          (code B ref 1547); Wed, 17 Dec 2008 06:25:41 +0000
Received: (at 1547) by emacsbugs.donarmstrong.com; 16 Dec 2008 11:33:07 +0000
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-1.0 required=4.0 tests=GMAIL,HAS_BUG_NUMBER,
	IMPRONONCABLE_2 autolearn=ham version=3.2.3-bugs.debian.org_2005_01_02
Received: from mx1.aist.go.jp (mx1.aist.go.jp [150.29.246.133])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id mBGBX3X3002152
	for <1547@HIDDEN>; Tue, 16 Dec 2008 03:33:05 -0800
Received: from rqsmtp2.aist.go.jp (rqsmtp2.aist.go.jp [150.29.254.123])
	by mx1.aist.go.jp  with ESMTP id mBGBX23r024255;
	Tue, 16 Dec 2008 20:33:02 +0900 (JST)
	env-from (handa@HIDDEN)
Received: from smtp4.aist.go.jp
	by rqsmtp2.aist.go.jp  with ESMTP id mBGBX2sO006817;
	Tue, 16 Dec 2008 20:33:02 +0900 (JST)
	env-from (handa@HIDDEN)
Received: 
	by smtp4.aist.go.jp  with ESMTP id mBGBX1fv028146;
	Tue, 16 Dec 2008 20:33:02 +0900 (JST)
	env-from (handa@HIDDEN)
Received: from handa by etlken.m17n.org with local (Exim 4.69)
	(envelope-from <handa@HIDDEN>)
	id 1LCYAf-0000x7-QT; Tue, 16 Dec 2008 20:33:01 +0900
From: Kenichi Handa <handa@HIDDEN>
To: "Juanma Barranquero" <lekktu@HIDDEN>
CC: 1547 <at> debbugs.gnu.org
In-reply-to: <f7ccd24b0812140500t21cce387p3b267d4ccf08443d@HIDDEN>
	(lekktu@HIDDEN)
References: <f7ccd24b0812120253m5f1b4f9en3a23f0ccc26b6b2d@HIDDEN>	 <E1LBLD0-0007cD-1f@HIDDEN> <f7ccd24b0812140500t21cce387p3b267d4ccf08443d@HIDDEN>
MIME-version: 1.0
Content-type: text/plain; charset=utf-8
Content-Transfer-Encoding: 8bit
Message-Id: <E1LCYAf-0000x7-QT@HIDDEN>
Date: Tue, 16 Dec 2008 20:33:01 +0900

In article <f7ccd24b0812140500t21cce387p3b267d4ccf08443d@HIDDEN>, "Juanma Barranquero" <lekktu@HIDDEN> writes:

> On Sat, Dec 13, 2008 at 04:30, Kenichi Handa <handa@HIDDEN> wrote:
> > Thank you for the reminder.  I've just installed a fix.

> Font rescaling is a bit weird, though.

> Using a test file with just two lines:

> aeiou
> áéíóú

> and running emacs with this:

>   emacs -q --eval "(add-to-list 'face-font-rescale-alist '(\"Courier
> New\" . 1.5))" test.txt

> the fonts used for the two lines are, respectively:

>     uniscribe:-outline-Courier
> New-normal-normal-normal-mono-13-*-*-*-c-*-iso8859-1
>     uniscribe:-outline-Courier
> New-normal-normal-normal-mono-19-*-*-*-c-*-iso10646-1

> so the fist line appears normal, while the second one is rescaled.


When Emacs creates the initial frame and selects the default
font, "(add-to-list ...)" is not yet evaluated, so if your
default fonts is 'Courier New', it is opened without
scaling.

What I currently don't understand is that the font rescaling
doesn't work for the default font in the above case even
after (clear-face-cache t).  I'm now investigating the
reason.

---
Kenichi Handa
handa@HIDDEN




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.420 (Entity 5.420)
Content-Type: text/plain; charset=utf-8
X-Loop: don@HIDDEN
From: help-debbugs@HIDDEN (Emacs bug Tracking System)
To: Kenichi Handa <handa@HIDDEN>
Subject: bug#1547: Info received (bug#1547: face-font-rescale-alist has no
 effect)
Message-ID: <handler.1547.B1547.12294271872160.ackinfo@HIDDEN>
References: <E1LCYAf-0000x7-QT@HIDDEN>
X-Emacs-PR-Message: ack-info 1547
X-Emacs-PR-Package: emacs
Reply-To: 1547 <at> debbugs.gnu.org
Date: Wed, 17 Dec 2008 06:25:43 +0000


Thank you for the additional information you have supplied regarding
this bug report.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 Emacs Bugs <bug-gnu-emacs@HIDDEN>

If you wish to submit further information on this problem, please
send it to 1547 <at> debbugs.gnu.org, as before.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.


--=20
1547: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D1547
Emacs Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:


X-Loop: don@HIDDEN
Subject: bug#1547: face-font-rescale-alist has no effect
Reply-To: "Juanma Barranquero" <lekktu@HIDDEN>, 1547 <at> debbugs.gnu.org
Resent-From: "Juanma Barranquero" <lekktu@HIDDEN>
Resent-To: bug-submit-list@HIDDEN
Resent-CC: Emacs Bugs <bug-gnu-emacs@HIDDEN>
Resent-Date: Wed, 17 Dec 2008 06:35:01 +0000
Resent-Message-ID: <handler.1547.B1547.122925964329234@HIDDEN>
Resent-Sender: don@HIDDEN
X-Emacs-PR-Message: followup 1547
X-Emacs-PR-Package: emacs
X-Emacs-PR-Keywords: 
Received: via spool by 1547-submit@HIDDEN id=B1547.122925964329234
          (code B ref 1547); Wed, 17 Dec 2008 06:35:01 +0000
Received: (at 1547) by emacsbugs.donarmstrong.com; 14 Dec 2008 13:00:43 +0000
X-Spam-Checker-Version: SpamAssassin 3.2.3-bugs.debian.org_2005_01_02
	(2007-08-08) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.0 required=4.0 tests=HAS_BUG_NUMBER autolearn=ham
	version=3.2.3-bugs.debian.org_2005_01_02
Received: from an-out-0708.google.com (an-out-0708.google.com [209.85.132.251])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id mBED0d5Z029224
	for <1547@HIDDEN>; Sun, 14 Dec 2008 05:00:41 -0800
Received: by an-out-0708.google.com with SMTP id c38so1037357ana.31
        for <1547@HIDDEN>; Sun, 14 Dec 2008 05:00:39 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:received:received:message-id:date:from:to
         :subject:cc:in-reply-to:mime-version:content-type
         :content-transfer-encoding:content-disposition:references;
        bh=PBqg11/yk63ExJZZ5pJ4Emf2CKEDlUBe0WVntqw7V4U=;
        b=gZZ9T3m7lb19T2gstiO0AAYeRzvPjdUuA7jwGujpf+yII7lc7o0MebXUQ/8hBojb/G
         LqgCmfX8QyD9zFdNgCRsbh00OSPP+aV4NLSXD3f2D9FyDU2pRdD5jVLevrdp/b/5JWWS
         hA6VTzka+Q+FY7FtADj1befuQbhXfZrXIg5Bg=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=message-id:date:from:to:subject:cc:in-reply-to:mime-version
         :content-type:content-transfer-encoding:content-disposition
         :references;
        b=q0Jd/oCxQ7C9J/sxeP/RQh9vnr3xi9f+S1b3g6iPoL+w7nr+QyleIQAxetJgWXtRUq
         vGob3knXI2KzN3HixNOwRkoyg3Km8MpPSmLYSV97bAIUbbJbF60ggRcD8uni8PCtdqjg
         JVixMR5BbPrMHYHHtXsAHJhMNpsnraMO8FNvY=
Received: by 10.100.8.17 with SMTP id 17mr3954523anh.149.1229259639641;
        Sun, 14 Dec 2008 05:00:39 -0800 (PST)
Received: by 10.100.13.13 with HTTP; Sun, 14 Dec 2008 05:00:39 -0800 (PST)
Message-ID: <f7ccd24b0812140500t21cce387p3b267d4ccf08443d@HIDDEN>
Date: Sun, 14 Dec 2008 14:00:39 +0100
From: "Juanma Barranquero" <lekktu@HIDDEN>
To: "Kenichi Handa" <handa@HIDDEN>
Cc: 1547 <at> debbugs.gnu.org
In-Reply-To: <E1LBLD0-0007cD-1f@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: base64
Content-Disposition: inline
References: <f7ccd24b0812120253m5f1b4f9en3a23f0ccc26b6b2d@HIDDEN>
	 <E1LBLD0-0007cD-1f@HIDDEN>

T24gU2F0LCBEZWMgMTMsIDIwMDggYXQgMDQ6MzAsIEtlbmljaGkgSGFuZGEgPGhhbmRhQG0xN24u
b3JnPiB3cm90ZToKCj4gVGhhbmsgeW91IGZvciB0aGUgcmVtaW5kZXIuICBJJ3ZlIGp1c3QgaW5z
dGFsbGVkIGEgZml4LgoKRm9udCByZXNjYWxpbmcgaXMgYSBiaXQgd2VpcmQsIHRob3VnaC4KClVz
aW5nIGEgdGVzdCBmaWxlIHdpdGgganVzdCB0d28gbGluZXM6CgphZWlvdQrDocOpw63Ds8O6Cgph
bmQgcnVubmluZyBlbWFjcyB3aXRoIHRoaXM6CgogIGVtYWNzIC1xIC0tZXZhbCAiKGFkZC10by1s
aXN0ICdmYWNlLWZvbnQtcmVzY2FsZS1hbGlzdCAnKFwiQ291cmllcgpOZXdcIiAuIDEuNSkpIiB0
ZXN0LnR4dAoKdGhlIGZvbnRzIHVzZWQgZm9yIHRoZSB0d28gbGluZXMgYXJlLCByZXNwZWN0aXZl
bHk6CgogICAgdW5pc2NyaWJlOi1vdXRsaW5lLUNvdXJpZXIKTmV3LW5vcm1hbC1ub3JtYWwtbm9y
bWFsLW1vbm8tMTMtKi0qLSotYy0qLWlzbzg4NTktMQogICAgdW5pc2NyaWJlOi1vdXRsaW5lLUNv
dXJpZXIKTmV3LW5vcm1hbC1ub3JtYWwtbm9ybWFsLW1vbm8tMTktKi0qLSotYy0qLWlzbzEwNjQ2
LTEKCnNvIHRoZSBmaXN0IGxpbmUgYXBwZWFycyBub3JtYWwsIHdoaWxlIHRoZSBzZWNvbmQgb25l
IGlzIHJlc2NhbGVkLgo=




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.420 (Entity 5.420)
Content-Type: text/plain; charset=utf-8
X-Loop: don@HIDDEN
From: help-debbugs@HIDDEN (Emacs bug Tracking System)
To: "Juanma Barranquero" <lekktu@HIDDEN>
Subject: bug#1547: Info received (bug#1547: face-font-rescale-alist has no
 effect)
Message-ID: <handler.1547.B1547.122925964329234.ackinfo@HIDDEN>
References: <f7ccd24b0812140500t21cce387p3b267d4ccf08443d@HIDDEN>
X-Emacs-PR-Message: ack-info 1547
X-Emacs-PR-Package: emacs
Reply-To: 1547 <at> debbugs.gnu.org
Date: Wed, 17 Dec 2008 06:35:03 +0000


Thank you for the additional information you have supplied regarding
this bug report.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 Emacs Bugs <bug-gnu-emacs@HIDDEN>

If you wish to submit further information on this problem, please
send it to 1547 <at> debbugs.gnu.org, as before.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.


--=20
1547: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D1547
Emacs Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message received at control@HIDDEN:


Received: (at control) by emacsbugs.donarmstrong.com; 4 Jan 2009 19:49:14 +0000
From lekktu@HIDDEN Sun Jan  4 11:49:14 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: **
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=2.3 required=4.0 tests=MISSING_SUBJECT,NOSUBJECT,
	VALID_BTS_CONTROL autolearn=no version=3.2.5-bugs.debian.org_2005_01_02
Received: from yw-out-2324.google.com (yw-out-2324.google.com [74.125.46.28])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n04JnBnI006213
	for <control@HIDDEN>; Sun, 4 Jan 2009 11:49:12 -0800
Received: by yw-out-2324.google.com with SMTP id 3so2167678ywj.31
        for <control@HIDDEN>; Sun, 04 Jan 2009 11:49:11 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:received:received:message-id:date:from:to
         :subject:mime-version:content-type:content-transfer-encoding
         :content-disposition;
        bh=KLB/W+RT6Z6x+CJ8n0OT9JfdhSre+5/T4NXR5QBtJJE=;
        b=fa8BXzF53jjhU/ENalUXNdTOB8TjMRWimGiUILDu8a5NMmW2xPAAr6Q2cQ8vpGRxZD
         LIxrzjF/r+r8HCgLVzMslBxKCZVb7lS+pjYYy44ujxHj1FBaNNNbRDkeNhFo8CCsYmoK
         v5WoRBRk3Nd8RuixknQfB4Pp+QWZ3CTotd5r0=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=message-id:date:from:to:subject:mime-version:content-type
         :content-transfer-encoding:content-disposition;
        b=CSflbARi3g0FcKSW4tqPA1TrGpqc/kOURiEWEahfKGUPRKZzDFhSv9LUE23Lqhis0a
         LlWgDzAuqi32tP731wpqRooYvHPpq6anhsyCEXjQgN2Z0miWuIS9uZeuOIOSRqrCgqRJ
         jGwf7oOyDIO0Egc1rYyT5OdNT1ljxiidIpOdo=
Received: by 10.100.8.17 with SMTP id 17mr10691868anh.85.1231098551301;
        Sun, 04 Jan 2009 11:49:11 -0800 (PST)
Received: by 10.100.252.15 with HTTP; Sun, 4 Jan 2009 11:49:11 -0800 (PST)
Message-ID: <f7ccd24b0901041149x2d337942s386d9d7cd4e4935c@HIDDEN>
Date: Sun, 4 Jan 2009 20:49:11 +0100
From: "Juanma Barranquero" <lekktu@HIDDEN>
To: control <at> debbugs.gnu.org
Subject: 
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

reassign 884 emacs,w32
clone 1547 -1
retitle -1 Font scaling does not work for the default font in some cases
quit




Message received at control@HIDDEN:


Received: (at control) by emacsbugs.donarmstrong.com; 4 Jan 2009 19:49:14 +0000
From lekktu@HIDDEN Sun Jan  4 11:49:14 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: **
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=2.3 required=4.0 tests=MISSING_SUBJECT,NOSUBJECT,
	VALID_BTS_CONTROL autolearn=no version=3.2.5-bugs.debian.org_2005_01_02
Received: from yw-out-2324.google.com (yw-out-2324.google.com [74.125.46.28])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n04JnBnI006213
	for <control@HIDDEN>; Sun, 4 Jan 2009 11:49:12 -0800
Received: by yw-out-2324.google.com with SMTP id 3so2167678ywj.31
        for <control@HIDDEN>; Sun, 04 Jan 2009 11:49:11 -0800 (PST)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
        d=gmail.com; s=gamma;
        h=domainkey-signature:received:received:message-id:date:from:to
         :subject:mime-version:content-type:content-transfer-encoding
         :content-disposition;
        bh=KLB/W+RT6Z6x+CJ8n0OT9JfdhSre+5/T4NXR5QBtJJE=;
        b=fa8BXzF53jjhU/ENalUXNdTOB8TjMRWimGiUILDu8a5NMmW2xPAAr6Q2cQ8vpGRxZD
         LIxrzjF/r+r8HCgLVzMslBxKCZVb7lS+pjYYy44ujxHj1FBaNNNbRDkeNhFo8CCsYmoK
         v5WoRBRk3Nd8RuixknQfB4Pp+QWZ3CTotd5r0=
DomainKey-Signature: a=rsa-sha1; c=nofws;
        d=gmail.com; s=gamma;
        h=message-id:date:from:to:subject:mime-version:content-type
         :content-transfer-encoding:content-disposition;
        b=CSflbARi3g0FcKSW4tqPA1TrGpqc/kOURiEWEahfKGUPRKZzDFhSv9LUE23Lqhis0a
         LlWgDzAuqi32tP731wpqRooYvHPpq6anhsyCEXjQgN2Z0miWuIS9uZeuOIOSRqrCgqRJ
         jGwf7oOyDIO0Egc1rYyT5OdNT1ljxiidIpOdo=
Received: by 10.100.8.17 with SMTP id 17mr10691868anh.85.1231098551301;
        Sun, 04 Jan 2009 11:49:11 -0800 (PST)
Received: by 10.100.252.15 with HTTP; Sun, 4 Jan 2009 11:49:11 -0800 (PST)
Message-ID: <f7ccd24b0901041149x2d337942s386d9d7cd4e4935c@HIDDEN>
Date: Sun, 4 Jan 2009 20:49:11 +0100
From: "Juanma Barranquero" <lekktu@HIDDEN>
To: control <at> debbugs.gnu.org
Subject: 
MIME-Version: 1.0
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: 7bit
Content-Disposition: inline

reassign 884 emacs,w32
clone 1547 -1
retitle -1 Font scaling does not work for the default font in some cases
quit




Message received at control@HIDDEN:


Received: (at control) by emacsbugs.donarmstrong.com; 27 Mar 2009 02:57:13 +0000
From cyd@HIDDEN Thu Mar 26 19:57:13 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.0 required=4.0 tests=VALID_BTS_CONTROL
	autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from cyd.mit.edu (CYD.MIT.EDU [18.115.2.24])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n2R2vB98003229
	for <control@HIDDEN>; Thu, 26 Mar 2009 19:57:12 -0700
Received: by cyd.mit.edu (Postfix, from userid 1000)
	id E856357E245; Thu, 26 Mar 2009 22:58:40 -0400 (EDT)
From: Chong Yidong <cyd@HIDDEN>
To: control <at> debbugs.gnu.org
Subject: Reassign bugs
Date: Thu, 26 Mar 2009 22:58:40 -0400
Message-ID: <87myb7u0wv.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

severity 1650 serious
severity 1654 serious
close 1723
severity 1785 serious
severity 2148 serious
tags 2149 moreinfo
severity 2291 wishlist
severity 2643 wishlist
thanks




Message sent to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:


X-Loop: owner@HIDDEN
Subject: bug#1785: bug#1547: face-font-rescale-alist has no effect
Reply-To: Chong Yidong <cyd@HIDDEN>, 1785 <at> debbugs.gnu.org
Resent-From: Chong Yidong <cyd@HIDDEN>
Resent-To: bug-submit-list@HIDDEN
Resent-CC: Emacs Bugs <bug-gnu-emacs@HIDDEN>
Resent-Date: Fri, 17 Apr 2009 04:30:03 +0000
Resent-Message-ID: <handler.1785.B1785.123994212425036@HIDDEN>
Resent-Sender: help-debbugs@HIDDEN
X-Emacs-PR-Message: followup 1785
X-Emacs-PR-Package: emacs
X-Emacs-PR-Keywords: 
Received: via spool by 1785-submit@HIDDEN id=B1785.123994212425036
          (code B ref 1785); Fri, 17 Apr 2009 04:30:03 +0000
Received: (at 1785) by emacsbugs.donarmstrong.com; 17 Apr 2009 04:22:04 +0000
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.0 required=4.0 tests=HAS_BUG_NUMBER autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from cyd.mit.edu (CYD.MIT.EDU [18.115.2.24])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n3H4M1FH025030
	for <1785@HIDDEN>; Thu, 16 Apr 2009 21:22:02 -0700
Received: by cyd.mit.edu (Postfix, from userid 1000)
	id 36A7A57E24A; Fri, 17 Apr 2009 00:23:51 -0400 (EDT)
From: Chong Yidong <cyd@HIDDEN>
To: Kenichi Handa <handa@HIDDEN>
Cc: 1785 <at> debbugs.gnu.org
Date: Fri, 17 Apr 2009 00:23:51 -0400
Message-ID: <87ocuvhprc.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

> What I currently don't understand is that the font rescaling doesn't
> work for the default font in the above case even after
> (clear-face-cache t).  I'm now investigating the reason.

I think the problem here is that the opened font objects are already
stored in the LFACE_FONT entry of the default face.  Note that

M-: (set-face-attribute 'default nil :font (font-spec)) RET

successfully refreshes the face with the correct rescaling.




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.420 (Entity 5.420)
Content-Type: text/plain; charset=utf-8
X-Loop: owner@HIDDEN
From: help-debbugs@HIDDEN (Emacs bug Tracking System)
To: Chong Yidong <cyd@HIDDEN>
Subject: bug#1785: Info received (bug#1547: face-font-rescale-alist has no
 effect)
Message-ID: <handler.1785.B1785.123994212425036.ackinfo@HIDDEN>
References: <87ocuvhprc.fsf@HIDDEN>
X-Emacs-PR-Message: ack-info 1785
X-Emacs-PR-Package: emacs
Reply-To: 1785 <at> debbugs.gnu.org
Date: Fri, 17 Apr 2009 04:30:03 +0000


Thank you for the additional information you have supplied regarding
this bug report.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 Emacs Bugs <bug-gnu-emacs@HIDDEN>

If you wish to submit further information on this problem, please
send it to 1785 <at> debbugs.gnu.org, as before.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.


--=20
1785: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D1785
Emacs Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:


X-Loop: owner@HIDDEN
Subject: bug#1785: bug#1547: face-font-rescale-alist has no effect
Reply-To: Chong Yidong <cyd@HIDDEN>, 1785 <at> debbugs.gnu.org
Resent-From: Chong Yidong <cyd@HIDDEN>
Resent-To: bug-submit-list@HIDDEN
Resent-CC: Emacs Bugs <bug-gnu-emacs@HIDDEN>
Resent-Date: Sat, 18 Apr 2009 04:15:03 +0000
Resent-Message-ID: <handler.1785.B1785.12400277721625@HIDDEN>
Resent-Sender: help-debbugs@HIDDEN
X-Emacs-PR-Message: followup 1785
X-Emacs-PR-Package: emacs
X-Emacs-PR-Keywords: 
Received: via spool by 1785-submit@HIDDEN id=B1785.12400277721625
          (code B ref 1785); Sat, 18 Apr 2009 04:15:03 +0000
Received: (at 1785) by emacsbugs.donarmstrong.com; 18 Apr 2009 04:09:32 +0000
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.0 required=4.0 tests=HAS_BUG_NUMBER autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from cyd.mit.edu (CYD.MIT.EDU [18.115.2.24])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n3I49UQ4001613
	for <1785@HIDDEN>; Fri, 17 Apr 2009 21:09:31 -0700
Received: by cyd.mit.edu (Postfix, from userid 1000)
	id 53DFB57E21C; Sat, 18 Apr 2009 00:11:20 -0400 (EDT)
From: Chong Yidong <cyd@HIDDEN>
To: Kenichi Handa <handa@HIDDEN>
Cc: 1785 <at> debbugs.gnu.org
Date: Sat, 18 Apr 2009 00:11:20 -0400
Message-ID: <87bpquiot3.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

> > What I currently don't understand is that the font rescaling doesn't
> > work for the default font in the above case even after
> > (clear-face-cache t).  I'm now investigating the reason.
>
> I think the problem here is that the opened font objects are already
> stored in the LFACE_FONT entry of the default face.  Note that
>
> M-: (set-face-attribute 'default nil :font (font-spec)) RET
>
> successfully refreshes the face with the correct rescaling.

Until a better solution comes along, I propose dealing with this
situation with the following hack in startup.el: check to see if the
init file changed face-font-rescale-alist, and reload the default face
if necessary.

What do you think?

*** trunk/lisp/startup.el.~1.527.~	2009-02-20 10:20:55.000000000 -0500
--- trunk/lisp/startup.el	2009-04-18 00:07:05.000000000 -0400
***************
*** 499,505 ****
  		     (delete (concat "PWD=" pwd)
  			     process-environment)))))
      (setq default-directory (abbreviate-file-name default-directory))
!     (let ((menubar-bindings-done nil))
        (unwind-protect
  	  (command-line)
  	;; Do this again, in case .emacs defined more abbreviations.
--- 499,506 ----
  		     (delete (concat "PWD=" pwd)
  			     process-environment)))))
      (setq default-directory (abbreviate-file-name default-directory))
!     (let ((menubar-bindings-done nil)
! 	  (old-face-font-rescale-alist face-font-rescale-alist))
        (unwind-protect
  	  (command-line)
  	;; Do this again, in case .emacs defined more abbreviations.
***************
*** 540,545 ****
--- 541,551 ----
  		  (not (and initial-window-system
  			    (not noninteractive)
  			    (not (eq initial-window-system 'pc)))))
+ 	  ;; If face-font-rescale-alist has changed, reload the
+ 	  ;; default font.
+ 	  (unless (eq face-font-rescale-alist
+ 		      old-face-font-rescale-alist)
+ 	    (set-face-attribute 'default nil :font (font-spec)))
  	  ;; Modify the initial frame based on what .emacs puts into
  	  ;; ...-frame-alist.
  	  (if (fboundp 'frame-notice-user-settings)

Diff finished.  Sat Apr 18 00:07:09 2009




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.420 (Entity 5.420)
Content-Type: text/plain; charset=utf-8
X-Loop: owner@HIDDEN
From: help-debbugs@HIDDEN (Emacs bug Tracking System)
To: Chong Yidong <cyd@HIDDEN>
Subject: bug#1785: Info received (bug#1547: face-font-rescale-alist has no
 effect)
Message-ID: <handler.1785.B1785.12400277721625.ackinfo@HIDDEN>
References: <87bpquiot3.fsf@HIDDEN>
X-Emacs-PR-Message: ack-info 1785
X-Emacs-PR-Package: emacs
Reply-To: 1785 <at> debbugs.gnu.org
Date: Sat, 18 Apr 2009 04:15:03 +0000


Thank you for the additional information you have supplied regarding
this bug report.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 Emacs Bugs <bug-gnu-emacs@HIDDEN>

If you wish to submit further information on this problem, please
send it to 1785 <at> debbugs.gnu.org, as before.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.


--=20
1785: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D1785
Emacs Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:


X-Loop: owner@HIDDEN
Subject: bug#1785: bug#1547: face-font-rescale-alist has no effect
Reply-To: Stefan Monnier <monnier@HIDDEN>, 1785 <at> debbugs.gnu.org
Resent-From: Stefan Monnier <monnier@HIDDEN>
Resent-To: bug-submit-list@HIDDEN
Resent-CC: Emacs Bugs <bug-gnu-emacs@HIDDEN>
Resent-Date: Sat, 18 Apr 2009 18:20:04 +0000
Resent-Message-ID: <handler.1785.B1785.124007850016407@HIDDEN>
Resent-Sender: help-debbugs@HIDDEN
X-Emacs-PR-Message: followup 1785
X-Emacs-PR-Package: emacs
X-Emacs-PR-Keywords: 
Received: via spool by 1785-submit@HIDDEN id=B1785.124007850016407
          (code B ref 1785); Sat, 18 Apr 2009 18:20:04 +0000
Received: (at 1785) by emacsbugs.donarmstrong.com; 18 Apr 2009 18:15:00 +0000
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-0.5 required=4.0 tests=HAS_BUG_NUMBER,XIRONPORT
	autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from ironport2-out.teksavvy.com (ironport2-out.pppoe.ca [206.248.154.182])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n3IIEvDV016399
	for <1785@HIDDEN>; Sat, 18 Apr 2009 11:14:58 -0700
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Ai8FAAu16UlLd+7D/2dsb2JhbACBTstdg30GhSg
X-IronPort-AV: E=Sophos;i="4.40,210,1238990400"; 
   d="scan'208";a="37263487"
Received: from 75-119-238-195.dsl.teksavvy.com (HELO pastel.home) ([75.119.238.195])
  by ironport2-out.teksavvy.com with ESMTP; 18 Apr 2009 14:14:52 -0400
Received: by pastel.home (Postfix, from userid 20848)
	id 0DBED7EFC; Sat, 18 Apr 2009 14:14:52 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Chong Yidong <cyd@HIDDEN>
Cc: 1785 <at> debbugs.gnu.org, Kenichi Handa <handa@HIDDEN>
Message-ID: <jwvk55hkey0.fsf-monnier+emacsbugreports@HIDDEN>
References: <87bpquiot3.fsf@HIDDEN>
Date: Sat, 18 Apr 2009 14:14:52 -0400
In-Reply-To: <87bpquiot3.fsf@HIDDEN> (Chong Yidong's message of "Sat, 18
	Apr 2009 00:11:20 -0400")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.92 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

>> > What I currently don't understand is that the font rescaling doesn't
>> > work for the default font in the above case even after
>> > (clear-face-cache t).  I'm now investigating the reason.
>> 
>> I think the problem here is that the opened font objects are already
>> stored in the LFACE_FONT entry of the default face.  Note that
>> 
>> M-: (set-face-attribute 'default nil :font (font-spec)) RET
>> 
>> successfully refreshes the face with the correct rescaling.

> Until a better solution comes along, I propose dealing with this
> situation with the following hack in startup.el: check to see if the
> init file changed face-font-rescale-alist, and reload the default face
> if necessary.

Can't we fix it right and make clear-face-cache refresh the default face
as well?  If the right fix is really too much trouble, then I guess your
workaround is OK, but then it needs to come with a heavy dose of
comments explaining why it's there and how to get rid of it.


        Stefan




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.420 (Entity 5.420)
Content-Type: text/plain; charset=utf-8
X-Loop: owner@HIDDEN
From: help-debbugs@HIDDEN (Emacs bug Tracking System)
To: Stefan Monnier <monnier@HIDDEN>
Subject: bug#1785: Info received (bug#1785: bug#1547: face-font-rescale-alist
 has no effect)
Message-ID: <handler.1785.B1785.124007850016407.ackinfo@HIDDEN>
References: <jwvk55hkey0.fsf-monnier+emacsbugreports@HIDDEN>
X-Emacs-PR-Message: ack-info 1785
X-Emacs-PR-Package: emacs
Reply-To: 1785 <at> debbugs.gnu.org
Date: Sat, 18 Apr 2009 18:20:04 +0000


Thank you for the additional information you have supplied regarding
this bug report.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 Emacs Bugs <bug-gnu-emacs@HIDDEN>

If you wish to submit further information on this problem, please
send it to 1785 <at> debbugs.gnu.org, as before.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.


--=20
1785: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D1785
Emacs Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:


X-Loop: owner@HIDDEN
Subject: bug#1785: bug#1547: face-font-rescale-alist has no effect
Reply-To: Chong Yidong <cyd@HIDDEN>, 1785 <at> debbugs.gnu.org
Resent-From: Chong Yidong <cyd@HIDDEN>
Resent-To: bug-submit-list@HIDDEN
Resent-CC: Emacs Bugs <bug-gnu-emacs@HIDDEN>
Resent-Date: Wed, 22 Apr 2009 14:10:04 +0000
Resent-Message-ID: <handler.1785.B1785.124040898119630@HIDDEN>
Resent-Sender: help-debbugs@HIDDEN
X-Emacs-PR-Message: followup 1785
X-Emacs-PR-Package: emacs
X-Emacs-PR-Keywords: 
Received: via spool by 1785-submit@HIDDEN id=B1785.124040898119630
          (code B ref 1785); Wed, 22 Apr 2009 14:10:04 +0000
Received: (at 1785) by emacsbugs.donarmstrong.com; 22 Apr 2009 14:03:01 +0000
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.0 required=4.0 tests=HAS_BUG_NUMBER autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from cyd.mit.edu (CYD.MIT.EDU [18.115.2.24])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n3ME2wSq019624
	for <1785@HIDDEN>; Wed, 22 Apr 2009 07:02:59 -0700
Received: by cyd.mit.edu (Postfix, from userid 1000)
	id AADDE57E246; Wed, 22 Apr 2009 10:04:52 -0400 (EDT)
From: Chong Yidong <cyd@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Cc: 1785 <at> debbugs.gnu.org, Kenichi Handa <handa@HIDDEN>
References: <87bpquiot3.fsf@HIDDEN>
	<jwvk55hkey0.fsf-monnier+emacsbugreports@HIDDEN>
Date: Wed, 22 Apr 2009 10:04:52 -0400
In-Reply-To: <jwvk55hkey0.fsf-monnier+emacsbugreports@HIDDEN> (Stefan
	Monnier's message of "Sat, 18 Apr 2009 14:14:52 -0400")
Message-ID: <878wls3htn.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/23.0.91 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

Stefan Monnier <monnier@HIDDEN> writes:

>> Until a better solution comes along, I propose dealing with this
>> situation with the following hack in startup.el: check to see if the
>> init file changed face-font-rescale-alist, and reload the default face
>> if necessary.
>
> Can't we fix it right and make clear-face-cache refresh the default face
> as well?  If the right fix is really too much trouble, then I guess your
> workaround is OK, but then it needs to come with a heavy dose of
> comments explaining why it's there and how to get rid of it.

I think the right fix is to refresh all font objects that have already
been created.  However, there's currently no way to find them.  At
startup, however, I think only the default face has a font object
assigned to it---that's why I suggested this hack.

Yeah, it's a pretty awful hack, but I don't see a better short-term
solution.




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.420 (Entity 5.420)
Content-Type: text/plain; charset=utf-8
X-Loop: owner@HIDDEN
From: help-debbugs@HIDDEN (Emacs bug Tracking System)
To: Chong Yidong <cyd@HIDDEN>
Subject: bug#1785: Info received (bug#1785: bug#1547: face-font-rescale-alist
 has no effect)
Message-ID: <handler.1785.B1785.124040898119630.ackinfo@HIDDEN>
References: <878wls3htn.fsf@HIDDEN>
X-Emacs-PR-Message: ack-info 1785
X-Emacs-PR-Package: emacs
Reply-To: 1785 <at> debbugs.gnu.org
Date: Wed, 22 Apr 2009 14:10:04 +0000


Thank you for the additional information you have supplied regarding
this bug report.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 Emacs Bugs <bug-gnu-emacs@HIDDEN>

If you wish to submit further information on this problem, please
send it to 1785 <at> debbugs.gnu.org, as before.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.


--=20
1785: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D1785
Emacs Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message sent to bug-submit-list@HIDDEN, Emacs Bugs <bug-gnu-emacs@HIDDEN>:


X-Loop: owner@HIDDEN
Subject: bug#1785: bug#1547: face-font-rescale-alist has no effect
Reply-To: Chong Yidong <cyd@HIDDEN>, 1785 <at> debbugs.gnu.org
Resent-From: Chong Yidong <cyd@HIDDEN>
Resent-To: bug-submit-list@HIDDEN
Resent-CC: Emacs Bugs <bug-gnu-emacs@HIDDEN>
Resent-Date: Sat, 25 Apr 2009 14:35:04 +0000
Resent-Message-ID: <handler.1785.B1785.124066960525573@HIDDEN>
Resent-Sender: help-debbugs@HIDDEN
X-Emacs-PR-Message: followup 1785
X-Emacs-PR-Package: emacs
X-Emacs-PR-Keywords: 
Received: via spool by 1785-submit@HIDDEN id=B1785.124066960525573
          (code B ref 1785); Sat, 25 Apr 2009 14:35:04 +0000
Received: (at 1785) by emacsbugs.donarmstrong.com; 25 Apr 2009 14:26:45 +0000
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-3.0 required=4.0 tests=HAS_BUG_NUMBER autolearn=ham
	version=3.2.5-bugs.debian.org_2005_01_02
Received: from cyd.mit.edu (CYD.MIT.EDU [18.115.2.24])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n3PEQgjD025562
	for <1785@HIDDEN>; Sat, 25 Apr 2009 07:26:43 -0700
Received: by cyd.mit.edu (Postfix, from userid 1000)
	id 574F557E251; Sat, 25 Apr 2009 10:26:42 -0400 (EDT)
From: Chong Yidong <cyd@HIDDEN>
To: Stefan Monnier <monnier@HIDDEN>
Cc: 1785 <at> debbugs.gnu.org, Kenichi Handa <handa@HIDDEN>
Date: Sat, 25 Apr 2009 10:26:42 -0400
Message-ID: <87vdos4xnh.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

I have checked in the work-around for this bug.  A more comprehenssive
fix can wait till after the release.  In the meantime, I'll downgrade
the bug severity to normal.




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.420 (Entity 5.420)
Content-Type: text/plain; charset=utf-8
X-Loop: owner@HIDDEN
From: help-debbugs@HIDDEN (Emacs bug Tracking System)
To: Chong Yidong <cyd@HIDDEN>
Subject: bug#1785: Info received (bug#1785: bug#1547: face-font-rescale-alist
 has no effect)
Message-ID: <handler.1785.B1785.124066960525573.ackinfo@HIDDEN>
References: <87vdos4xnh.fsf@HIDDEN>
X-Emacs-PR-Message: ack-info 1785
X-Emacs-PR-Package: emacs
Reply-To: 1785 <at> debbugs.gnu.org
Date: Sat, 25 Apr 2009 14:35:05 +0000


Thank you for the additional information you have supplied regarding
this bug report.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 Emacs Bugs <bug-gnu-emacs@HIDDEN>

If you wish to submit further information on this problem, please
send it to 1785 <at> debbugs.gnu.org, as before.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.


--=20
1785: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D1785
Emacs Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message received at control@HIDDEN:


Received: (at control) by emacsbugs.donarmstrong.com; 25 Apr 2009 14:27:27 +0000
From cyd@HIDDEN Sat Apr 25 07:27:26 2009
X-Spam-Checker-Version: SpamAssassin 3.2.5-bugs.debian.org_2005_01_02
	(2008-06-10) on rzlab.ucr.edu
X-Spam-Level: 
X-Spam-Bayes: score:0.5 Bayes not run. spammytokens:Tokens not available.
	hammytokens:Tokens not available.
X-Spam-Status: No, score=-2.0 required=4.0 tests=VALID_BTS_CONTROL
	autolearn=ham version=3.2.5-bugs.debian.org_2005_01_02
Received: from cyd.mit.edu (CYD.MIT.EDU [18.115.2.24])
	by rzlab.ucr.edu (8.13.8/8.13.8/Debian-3) with ESMTP id n3PEROga025579
	for <control@HIDDEN>; Sat, 25 Apr 2009 07:27:25 -0700
Received: by cyd.mit.edu (Postfix, from userid 1000)
	id 4469457E251; Sat, 25 Apr 2009 10:27:24 -0400 (EDT)
From: Chong Yidong <cyd@HIDDEN>
To: control <at> debbugs.gnu.org
Subject: severity 1785 normal
Date: Sat, 25 Apr 2009 10:27:24 -0400
Message-ID: <87skjw4xmb.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii

severity 1785 normal
reassign 3102 spam
reassign 3103 spam
reassign 3104 spam
thanks





Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.